<?php

use Mergado\Arukereso\ArukeresoClass;
use Mergado\Facebook\FacebookClass;
use Mergado\Glami\GlamiPixelClass;
use Mergado\Glami\GlamiTopClass;
use Mergado\Google\GaRefundClass;
use Mergado\Google\GoogleAdsClass;
use Mergado\Google\GoogleReviewsClass;
use Mergado\Google\GoogleTagManagerClass;
use Mergado\Tools\Settings;
use Mergado\Zbozi\ZboziClass;

include_once('template-mergado-marketing-pack-header.php');
require_once __MERGADO_TOOLS_DIR__ . 'SettingsClass.php';
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Google/GaRefundClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Zbozi/ZboziClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Google/GoogleReviews/GoogleReviewsClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Google/GoogleAdsClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Google/GoogleTagManagerClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Glami/GlamiPixelClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Arukereso/ArukeresoClass.php');
require_once wp_normalize_path(__MERGADO_SERVICES_DIR__ . 'Facebook/FacebookClass.php');

// Process post action
$flash = null;

// Todo move us to our files and import here

if (isset($_POST["submit-save"])) {

    /**
     * Glami PiXel settings
     */
    GlamiPixelClass::saveFields($_POST);

    /**
     * Biano settings
     */
    $inputs = [];
    $checkboxes = [];
    foreach (Settings::BIANO['LANG_OPTIONS'] as $item) {
        $inputs[] = Settings::BIANO['MERCHANT_ID'] . '-' . $item;
        $checkboxes[] = Settings::BIANO['FORM_ACTIVE'] . '-' . $item;
    }

    $checkboxes[] = Settings::BIANO['ACTIVE'];
    $checkboxes[] = Settings::BIANO['CONVERSION_VAT_INCL'];

    Settings::saveOptions($_POST,
        $checkboxes
        ,
        $inputs
    );

    /**
     * Glami TOP settings
     */
    GlamiTopClass::saveFields($_POST);


    /**
     * Facebook settings
     */
    FacebookClass::saveFields($_POST);


    /**
     * Sklik settings
     */
    Settings::saveOptions($_POST, [
        Settings::SKLIK['CONVERSION_ACTIVE'],
        Settings::SKLIK['RETARGETING_ACTIVE'],
        Settings::SKLIK['CONVERSION_VAT_INCL'],
    ], [
        Settings::SKLIK['CONVERSION_CODE'],
        Settings::SKLIK['CONVERSION_VALUE'],
        Settings::SKLIK['RETARGETING_ID'],
    ]);

    /**
     * Adwords settings
     */

    GoogleAdsClass::saveFields($_POST);


    /**
     * Google analytics (gtag.js) settings
     */
    Settings::saveOptions($_POST, [
        Settings::GOOGLE_GTAGJS['ACTIVE'],
        Settings::GOOGLE_GTAGJS['TRACKING'],
        Settings::GOOGLE_GTAGJS['ECOMMERCE'],
        Settings::GOOGLE_GTAGJS['ECOMMERCE_ENHANCED'],
        Settings::GOOGLE_GTAGJS['CONVERSION_VAT_INCL'],
    ], [
        Settings::GOOGLE_GTAGJS['CODE'],
    ]);

	/**
	 * GaRefund settings
	 */
	GaRefundClass::saveFields($_POST);

    /**
     * Google reviews settings
     */
    GoogleReviewsClass::saveFields($_POST);

    /**
     * Árukereső
     */
    ArukeresoClass::saveFields($_POST);

    /**
     * Google analytics (Google Tag Manager) settings
     */
    GoogleTagManagerClass::saveFields($_POST);

    /**
     * ETARGET settings
     */
    Settings::saveOptions($_POST, [
        Settings::ETARGET['ACTIVE'],
    ], [
        Settings::ETARGET['HASH'],
        Settings::ETARGET['ID'],
    ]);


    /**
     * NajNakup settings
     */
    Settings::saveOptions($_POST, [
        Settings::NAJNAKUP['ACTIVE'],
    ], [
        Settings::NAJNAKUP['ID'],
    ]);


    /**
     * Pricemania settings
     */
    Settings::saveOptions($_POST, [
        Settings::PRICEMANIA['ACTIVE'],
    ], [
        Settings::PRICEMANIA['ID'],
    ]);


    /**
     * Zbozi settings
     */
    ZboziClass::saveFields($_POST);


    /**
     * Kelkoo settings
     */
    Settings::saveOptions($_POST, [
        Settings::KELKOO['ACTIVE'],
	    Settings::KELKOO['CONVERSION_VAT_INCL'],
    ], [
        Settings::KELKOO['COUNTRY'],
        Settings::KELKOO['COM_ID'],
    ]);


    /**
     * Heureka settings
     */
    Settings::saveOptions($_POST, [
        Settings::HEUREKA['ACTIVE_CZ'],
        Settings::HEUREKA['ACTIVE_SK'],
        Settings::HEUREKA['ACTIVE_TRACK_CZ'],
        Settings::HEUREKA['ACTIVE_TRACK_SK'],
        Settings::HEUREKA['WIDGET_CZ'],
        Settings::HEUREKA['WIDGET_CZ_SHOW_MOBILE'],
        Settings::HEUREKA['WIDGET_SK_SHOW_MOBILE'],
        Settings::HEUREKA['WIDGET_SK'],
	    Settings::HEUREKA['CONVERSION_VAT_INCL_CZ'],
	    Settings::HEUREKA['CONVERSION_VAT_INCL_SK'],
        Settings::HEUREKA['STOCK_FEED']
    ], [
        Settings::HEUREKA['VERIFIED_CZ'],
        Settings::HEUREKA['VERIFIED_SK'],
        Settings::HEUREKA['TRACK_CODE_CZ'],
        Settings::HEUREKA['TRACK_CODE_SK'],
        Settings::HEUREKA['WIDGET_CZ_ID'],
        Settings::HEUREKA['WIDGET_CZ_HIDE_WIDTH'],
        Settings::HEUREKA['WIDGET_CZ_MARGIN'],
        Settings::HEUREKA['WIDGET_SK_ID'],
        Settings::HEUREKA['WIDGET_SK_HIDE_WIDTH'],
        Settings::HEUREKA['WIDGET_SK_MARGIN'],
    ],
    [
        Settings::HEUREKA['WIDGET_CZ_POSITION'],
        Settings::HEUREKA['WIDGET_SK_POSITION'],
    ]);

    $OptOutTexts = [];

    foreach(get_available_languages() as $lang) {
       $OptOutTexts[] = 'heureka-verify-opt-out-text-' . $lang;
    }

    Settings::saveOptions($_POST, [], $OptOutTexts);
}

$tabs = [
    'google' => ['title' => 'Google', 'active' => true],
    'facebook' => ['title' => 'Facebook'],
    'heureka' => ['title' => 'Heureka'],
    'glami' => ['title' => 'GLAMI'],
    'seznam' => ['title' => 'Seznam'],
    'etarget' => ['title' => 'Etarget'],
    'najnakup' => ['title' => 'Najnakup.sk'],
    'pricemania' => ['title' => 'Pricemania'],
    'kelkoo' => ['title' => 'Kelkoo'],
    'biano' => ['title' => 'Biano'],
    'arukereso' => ['title' => 'Árukereső']
];

?>

<div class="wrap">
    <div class="card full">
        <h2><?php _e('Advertisment systems', 'mergado-marketing-pack') ?></h2>
        <p>
            <?php _e('Setup each advertisment system.', 'mergado-marketing-pack') ?>
        </p>
    </div>

    <div class="rowmer">
        <div class="col-content">
            <?php if ($flash != null): ?>
                <div class="mmp-flash">
                    <?php if ($flash === 1): ?>
                        <div class="flash"><?php _e('Changes were saved', 'mergado-marketing-pack') ?></div>
                    <?php endif; ?>
                    <?php if ($flash === 2): ?>
                        <div class="flash-danger"><?php _e('Changes were not saved', 'mergado-marketing-pack') ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

            <form method="post" id="glami-form" action="">
                <ul class="mmp_tabs mmp_tabs__menu">
                    <?php foreach ($tabs as $key => $tab): ?>
                        <li class="<?= (isset($tab['active']) && $tab['active']) ? 'active' : '' ?>">
                            <a href="#" data-mmp-tab-button="<?= $key ?>">
                                <?= __($tab['title'], 'mergado-marketing-tab') ?>
                            </a>
                        </li>
                    <?php endforeach ?>
                </ul>
                <div class="mmp_tabs mmp_tabs__content">
                    <?php foreach ($tabs as $key => $tab): ?>
                        <div class="mmp_tabs__tab <?= (isset($tab['active']) && $tab['active']) ? 'active' : '' ?>"
                             data-mmp-tab="<?= $key ?>">
                            <?php include('adsys-tabs/adsys-' . $key . '.php'); ?>
                        </div>
                    <?php endforeach ?>
                </div>
            </form>
        </div>
        <div class="col-side col-side-extra">
            <?php
            try {
                echo file_get_contents('https://platforms.mergado.com/woocommerce/sidebar');
            } catch (Exception $e) {

            }
            ?>
        </div>
    </div>
    <div class="merwide">
        <?php
        try {
            echo file_get_contents('https://platforms.mergado.com/woocommerce/wide');
        } catch (Exception $e) {

        }
        ?>
    </div>
</div>
