<?php

include_once('template-mergado-marketing-pack-header.php');
require_once __MERGADO_TOOLS_DIR__ . 'CronsClass.php';


use Mergado\Tools\Crons;
use Mergado\Tools\Settings;
use Mergado\Tools\XMLCategoryFeed;
use Mergado\Tools\XMLClass;
use Mergado\Tools\XMLProductFeed;
use Mergado\Tools\XMLStockFeed;

/**
 * Cron settings
 */
if (isset($_POST["submit-save-crons"])) {
    Settings::saveOptions($_POST, [
        Settings::CRONS['ACTIVE_PRODUCT_FEED'],
        Settings::CRONS['ACTIVE_STOCK_FEED'],
        Settings::CRONS['ACTIVE_CATEGORY_FEED'],
        Settings::CRONS['ACTIVE_IMPORT_FEED'],
    ], [
        Settings::CRONS['SCHEDULE_PRODUCT_FEED'],
        Settings::CRONS['SCHEDULE_STOCK_FEED'],
        Settings::CRONS['SCHEDULE_CATEGORY_FEED'],
        Settings::CRONS['SCHEDULE_IMPORT_FEED'],
        Settings::CRONS['START_PRODUCT_FEED'],
        Settings::CRONS['START_STOCK_FEED'],
        Settings::CRONS['START_CATEGORY_FEED'],
        Settings::CRONS['START_IMPORT_FEED'],
    ]);
}

//Icons
$svg_play = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'play.svg');
$svg_copy = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'copy.svg');

$find_string_play   = '<svg';
$find_string_copy   = '<svg';
$position_play = strpos($svg_play, $find_string_play);
$position_copy = strpos($svg_copy, $find_string_copy);

$svg_file_play = substr($svg_play, $position_play);
$svg_file_copy = substr($svg_copy, $position_copy);

$dataProductFeed = XMLProductFeed::getDataForTemplates();
$dataStockFeed = XMLStockFeed::getDataForTemplates();
$dataCategoryFeed = XMLCategoryFeed::getDataForTemplates();
?>

<div class="wrap">
    <?php
    /**
     * Get flash messages
     */
    if (isset($_GET['flash'])) {
        switch ($_GET['flash']) {
            case 'categoryGenerated':
                ?>
                <div class="updated notice">
                    <p><?php _e('Category feed was re-built.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'stockGenerated':
                ?>
                <div class="updated notice">
                    <p><?php _e('Heureka stock feed was re-built.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'cronGenerated':
                ?>
                <div class="updated notice">
                    <p><?php _e('Product feed was re-built.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;

            case 'fileDeleted':
                ?>
                <div class="updated notice">
                    <p><?php _e('File was deleted.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;

            case 'stepGenerated':
                ?>
                <div class="updated notice">
                    <p><?php _e('Part of the product feed was re-built.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;

            case 'mergeGenerated':
                ?>
                <div class="updated notice">
                    <p><?php _e('Files merged and new product feed created.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'cronRunning':
                ?>
                <div class="updated notice">
                    <p><?php _e('Product feed generating already running.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            default:
                break;
        }
    }
    ?>

    <div class="mergado-updated-notice news">
        <span class="dashicons dashicons-info"></span>
        <span><?= __('Be sure to add the following cron links to your task scheduler. Task Scheduler is used to automatically run scripts, in this case to automatically regenerate XML feeds. Cron task schedulers are commonly available, for example, as part of web hosting.', 'mergado-marketing-pack') ?></span>
    </div>

    <div class="card full">
        <h3><?php _e('Cron tasks', 'mergado-marketing-pack') ?></h3>

        <strong><?php _e('NOTE:', 'mergado-marketing-pack') ?></strong><br>
        <small><?php _e('- WP cron is not classical cron! Cron check is called only if someone reload your webpage.', 'mergado-marketing-pack') ?></i></small><br>
        <small><?php _e('- All WP cron times should be inserted in GMT.', 'mergado-marketing-pack') ?></i></small><br>
        <small><?php _e('- If the beginning of the cron is in the past, it will start automatically as soon as the cron settings are saved.', 'mergado-marketing-pack') ?></small>
    </div>

    <br/><br/>

    <h2><?= __('Export tasks', 'mergado-marketing-pack') ?></h2>

    <form method="post" id="cron-form" action="">
        <table class="wp-list-table widefat striped">
            <thead>
            <tr>
                <th>
                    <?php _e('Feed', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Link', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Actions', 'mergado-marketing-pack') ?>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <th>
                    <?php _e('Product feed', 'mergado-marketing-pack') ?>
                </th>
                <td>
                    <a href="<?php echo get_site_url(); ?>/mergado/?action=productCron&token=<?= $token ?>"
                       title="<?php _e('Product feed cron task', 'mergado-marketing-pack') ?>" target="_blank">
                        <?php echo get_site_url(); ?>/mergado/?action=productCron&token=<?= $token ?>
                    </a>
                </td>

                <td>
                    <a href="#" class="mmp-btn button button-secondary button-large mmp-btn-hover--info" data-copy-stash="<?php echo get_site_url(); ?>/mergado/?action=productCron&token=<?= $token ?>">
                        <span class="btn-icon"><?= $svg_file_copy ?></span>
                        <?= __('Copy cron URL', 'mergado-marketing-pack') ?>
                    </a>
                    <a href="#"
                       class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success"
                       data-feed="productCron"
                       data-token="<?= $token ?>"

                       <?= returnCurrentTitle($svg_file_play, $dataProductFeed); ?>
                    </a>
                </td>

                <tr>
                    <th>
                        <small><?php _e('Use wordpress cron', 'mergado-marketing-pack') ?></small>
                        <input type="checkbox" id="wp-cron-product-feed-active" name="wp-cron-product-feed-active" data-mmp-check-main="wp-cron-product-feed"
                               <?php if (get_option(Settings::CRONS['ACTIVE_PRODUCT_FEED'], 0) == 1){ ?>checked="checked"<?php } ?>
                        >
                    </th>
                    <td class="d-flex align-items-center cron-inputs">
                        <div style="padding-right: 20px; padding-bottom: 5px;">
                            <small><?php _e('First start - GMT', 'mergado-marketing-pack') ?></small>
                            <input type="time" name="wp-cron-product-feed-start" id="wp-cron-product-feed-start" data-mmp-check-field="wp-cron-product-feed" value="<?= get_option(Settings::CRONS['START_PRODUCT_FEED'], 0) ?>" pattern="(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]" title='"XX:XX"'/>
                        </div>
                        <div>
                            <small><?php _e('Cron schedule', 'mergado-marketing-pack') ?></small>
                            <input type="hidden" name="wp-cron-product-feed-link" id="wp-cron-product-feed-link" value="/wp-admin/admin.php?page=mergado-cron&action=productCron&token=<?= $token ?>" />
                            <select name="wp-cron-product-feed-schedule" id="wp-cron-product-feed-schedule" data-mmp-check-field="wp-cron-product-feed">

                                <?php foreach(Crons::getScheduleTasks() as $key => $item) : ?>

                                    <option value="<?php echo $key ?>"
                                            <?php if($key === get_option(Settings::CRONS['SCHEDULE_PRODUCT_FEED'], 0)): ?> selected <?php endif ?>
                                    >
                                        <?php echo $item ?>
                                    </option>
                                <?php endforeach ?>
                            </select>
                        </div>
                    </td>
                <td>
                    <input type="submit" class="button button-secondary button-small" style="padding-left: 10px;" value="<?php _e('Save crons settings', 'mergado-marketing-pack') ?>"
                           name="submit-save-crons">
                </td>
                </tr>
            </tr>

            <?php if(get_option(Settings::HEUREKA['STOCK_FEED'])): ?>
                <tr>
                    <th>
                        <?php _e('Heureka Stock feed', 'mergado-marketing-pack') ?>
                    </th>
                    <td>
                        <a href="<?php echo get_site_url(); ?>/mergado/?action=stockCron&token=<?= $token ?>"
                           title="<?php _e('Heureka Stock feed cron task', 'mergado-marketing-pack') ?>" target="_blank">
                            <?php echo get_site_url(); ?>/mergado/?action=stockCron&token=<?= $token ?>
                        </a>
                    </td>
                    <td>
                        <a href="#" class="mmp-btn button button-secondary button-large mmp-btn-hover--info" data-copy-stash="<?php echo get_site_url(); ?>/mergado/?action=stockCron&token=<?= $token ?>">
                            <span class="btn-icon"><?= $svg_file_copy ?></span>
                            <?= __('Copy cron URL', 'mergado-marketing-pack') ?>
                        </a>
                        <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success" data-feed="stockCron" data-token="<?= $token ?>"
                            <?= returnCurrentTitle($svg_file_play, $dataStockFeed); ?>
                        </a>
                    </td>
                </tr>
                <tr>
                    <th>
                        <small><?php _e('Use wordpress cron', 'mergado-marketing-pack') ?></small>
                        <input type="checkbox" id="wp-cron-stock-feed-active" name="wp-cron-stock-feed-active" data-mmp-check-main="wp-cron-stock-feed"
                               <?php if (get_option(Settings::CRONS['ACTIVE_STOCK_FEED'], 0) == 1){ ?>checked="checked"<?php } ?>>
                    </th>
                    <td class="d-flex align-items-center cron-inputs">
                        <div style="padding-right: 20px; padding-bottom: 5px;">
                            <small><?php _e('First start - GMT', 'mergado-marketing-pack') ?></small>
                            <input type="time" name="wp-cron-stock-feed-start" id="wp-cron-stock-feed-start" data-mmp-check-field="wp-cron-stock-feed" value="<?= get_option(Settings::CRONS['START_STOCK_FEED'], 0) ?>" pattern="(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]" title='"XX:XX"'/>
                        </div>
                        <div>
                            <small><?php _e('Cron schedule', 'mergado-marketing-pack') ?></small>
                            <select name="wp-cron-stock-feed-schedule" id="wp-cron-stock-feed-schedule" data-mmp-check-field="wp-cron-stock-feed" name="wp-cron-stock-feed-schedule">
                                <?php foreach(Crons::getScheduleTasks() as $key => $item) : ?>
                                    <option
                                            value="<?php echo $key ?>"
                                            <?php if($key === get_option(Settings::CRONS['SCHEDULE_STOCK_FEED'], 0)): ?> selected <?php endif ?>
                                    >
                                        <?php echo $item ?>
                                    </option>
                                <?php endforeach ?>
                            </select>
                        </div>
                    </td>
                    <td>
                        <input type="submit" class="button button-secondary button-small" style="padding-left: 10px;" value="<?php _e('Save crons settings', 'mergado-marketing-pack') ?>"
                               name="submit-save-crons">
                    </td>
                </tr>
            <?php endif ?>

            <tr>
                <th>
                    <?php _e('Category feed', 'mergado-marketing-pack') ?>
                </th>
                <td>
                    <a href="<?php echo get_site_url(); ?>/mergado/?action=categoryCron&token=<?= $token ?>"
                       title="<?php _e('Category feed cron task', 'mergado-marketing-pack') ?>" target="_blank">
                        <?php echo get_site_url(); ?>/mergado/?action=categoryCron&token=<?= $token ?>
                    </a>
                </td>
                <td>
                    <a href="#" class="mmp-btn button button-secondary button-large mmp-btn-hover--info" data-copy-stash="<?php echo get_site_url(); ?>/mergado/?action=categoryCron&token=<?= $token ?>">
                        <span class="btn-icon"><?= $svg_file_copy ?></span>
                        <?= __('Copy cron URL', 'mergado-marketing-pack') ?>
                    </a>
                    <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success" title="<?= __('Re-build XML', 'mergado-marketing-pack')?>" data-feed="categoryCron" data-token="<?= $token ?>"
                        <?= returnCurrentTitle($svg_file_play, $dataCategoryFeed); ?>
                    </a>
                </td>
            </tr>
            <tr>
                <th>
                    <small><?php _e('Use wordpress cron', 'mergado-marketing-pack') ?></small>
                    <input type="checkbox" id="wp-cron-category-feed-active" name="wp-cron-category-feed-active" data-mmp-check-main="wp-cron-category-feed"
                           <?php if (get_option(Settings::CRONS['ACTIVE_CATEGORY_FEED'], 0) == 1){ ?>checked="checked"<?php } ?>>
                </th>
                <td class="d-flex align-items-center cron-inputs">
                    <div style="padding-right: 20px; padding-bottom: 5px;">
                        <small><?php _e('First start - GMT', 'mergado-marketing-pack') ?></small>
                        <input type="time" name="wp-cron-category-feed-start" id="wp-cron-category-feed-start" data-mmp-check-field="wp-cron-category-feed" value="<?= get_option(Settings::CRONS['START_CATEGORY_FEED'], 0) ?>" pattern="(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]" title='"XX:XX"'/>
                    </div>
                    <div>
                        <small><?php _e('Cron schedule', 'mergado-marketing-pack') ?></small>
                        <input type="hidden" name="wp-cron-category-feed-link" id="wp-cron-category-feed-link" value="/wp-admin/admin.php?page=mergado-cron&action=categoryCron&token=<?= $token ?>" />
                        <select name="wp-cron-category-feed-schedule" id="wp-cron-category-feed-schedule" data-mmp-check-field="wp-cron-category-feed">
                            <?php foreach(Crons::getScheduleTasks() as $key => $item) : ?>
                                <option
                                        value="<?php echo $key ?>"
                                        <?php if($key === get_option(Settings::CRONS['SCHEDULE_CATEGORY_FEED'], 0)): ?> selected <?php endif ?>
                                >
                                    <?php echo $item ?>
                                </option>
                            <?php endforeach ?>
                        </select>
                    </div>
                </td>
                <td>
                    <input type="submit" class="button button-secondary button-small" style="padding-left: 10px;" value="<?php _e('Save crons settings', 'mergado-marketing-pack') ?>"
                           name="submit-save-crons">
                </td>
            </tr>

            </tbody>
        </table>

        <br><br>

        <h2><?= __('Import tasks', 'mergado-marketing-pack') ?></h2>

        <table class="wp-list-table widefat striped">
            <thead>
            <tr>
                <th>
                    <?php _e('Feed', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Link', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Actions', 'mergado-marketing-pack') ?>
                </th>
            </tr>
            </thead>
            <tbody>
                <tr>
                    <th>
                        <?php _e('Import Mergado prices', 'mergado-marketing-pack') ?>
                    </th>
                    <td>
                        <a href="<?php echo get_site_url(); ?>/mergado/?action=importPrices&token=<?= $token ?>"
                           title="<?php _e('Import prices cron task', 'mergado-marketing-pack') ?>" target="_blank">
                            <?php echo get_site_url(); ?>/mergado/?action=importPrices&token=<?= $token ?>
                        </a>
                    </td>
                    <td>
                        <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success" title="<?= __('Re-build XML', 'mergado-marketing-pack')?>" data-feed="importPrices" data-token="<?= $token ?>">
                            <span class="btn-icon"><?= $svg_file_play ?></span>
                            <span><?= __('Import - pricing XML', 'mergado-marketing-pack'); ?></span>
                        </a>
                    </td>
                </tr>
                <tr>
                    <th>
                        <small><?php _e('Use wordpress cron', 'mergado-marketing-pack') ?></small>
                        <input type="checkbox" id="wp-cron-import-feed-active" name="wp-cron-import-feed-active" data-mmp-check-main="wp-cron-import-feed"
                               <?php if (get_option(Settings::CRONS['ACTIVE_IMPORT_FEED'], 0) == 1){ ?>checked="checked"<?php } ?>>
                    </th>
                    <td class="d-flex align-items-center cron-inputs">
                        <div style="padding-right: 20px; padding-bottom: 5px;">
                            <small><?php _e('First start - GMT', 'mergado-marketing-pack') ?></small>
                            <input type="time" name="wp-cron-import-feed-start" id="wp-cron-import-feed-start" data-mmp-check-field="wp-cron-import-feed" value="<?= get_option(Settings::CRONS['START_IMPORT_FEED'], 0) ?>" pattern="(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]" title='"XX:XX"'>
                        </div>
                        <div>
                            <small><?php _e('Cron schedule', 'mergado-marketing-pack') ?></small>
                            <input type="hidden" name="wp-cron-import-feed-link" id="wp-cron-import-feed-link" value="<?php echo get_site_url(); ?>/mergado/?action=importPrices&token=<?= $token ?>" />
                            <select name="wp-cron-import-feed-schedule" id="wp-cron-import-feed-schedule" data-mmp-check-field="wp-cron-import-feed">
                                <?php foreach(Crons::getScheduleTasks() as $key => $item) : ?>
                                    <option
                                            value="<?php echo $key ?>"
                                            <?php if($key === get_option(Settings::CRONS['SCHEDULE_IMPORT_FEED'], 0)): ?> selected <?php endif ?>
                                    >
                                        <?php echo $item ?>
                                    </option>
                                <?php endforeach ?>
                            </select>
                        </div>
                    </td>
                    <td>
                        <input type="submit" class="button button-secondary button-small" style="padding-left: 10px;" value="<?php _e('Save crons settings', 'mergado-marketing-pack') ?>"
                               name="submit-save-crons">
                    </td>
                </tr>
            </tbody>
        </table>
    </form>

    <div class="mergado mergado-info" style="margin-top: 20px;">
        <?php
        try {
            echo file_get_contents('https://platforms.mergado.com/woocommerce/wide');
        } catch (Exception $e) {

        }
        ?>
    </div>
</div>

<?php

function returnCurrentTitle($svg, $data)
{
    if (!in_array($data['totalFiles'], [0, 1]) && ($data['currentStep'] + 1) < $data['totalFiles']):
        $result = __('Build XML part ', 'mergado-marketing-pack') . ' ~(' . ($data['currentStep'] + 1 . '/' . $data['totalFiles']) . ')';
    elseif ($data['totalFiles'] != 0 && $data['currentStep'] >= $data['totalFiles']):
        $result = __('Continue', 'mergado-marketing-pack');
    elseif ($data['totalFiles'] != 0 && ($data['currentStep'] + 1) == $data['totalFiles']):
        $result = __('Merge and create XML', 'mergado-marketing-pack');
    else:
        $result = __('Re-build XML', 'mergado-marketing-pack');
    endif;

    ?>
        title="<?= $result ?>">
        <span class="btn-icon"><?= $svg ?></span>
        <span><?= $result ?></span>
    <?php

    return '';
}
