<?php include_once('template-mergado-marketing-pack-header.php');

use Mergado\Tools\Settings;
use Mergado\Tools\XMLCategoryFeed;
use Mergado\Tools\XMLClass;
use Mergado\Tools\XMLProductFeed;
use Mergado\Tools\XMLStockFeed;

$currentBlogId = Settings::getCurrentBlogId();

$productFeedLink = plugins_url('mergado-marketing-pack/data') . '/' . $currentBlogId . '/products_' . $token . '.xml';
$stockFeedLink =  plugins_url('mergado-marketing-pack/data') . '/' . $currentBlogId . '/stock_' . $token . '.xml';
$categoryFeedLink = plugins_url('mergado-marketing-pack/data') . '/' . $currentBlogId . '/category_' . $token . '.xml';

$productFeedPath = realpath(WP_PLUGIN_DIR . '/' . plugin_basename('mergado-marketing-pack/data') . '/' . $currentBlogId . '/products_' . $token . '.xml');
$stockFeedPath = realpath(WP_PLUGIN_DIR . '/' . plugin_basename('mergado-marketing-pack/data') . '/' . $currentBlogId . '/stock_' . $token . '.xml');
$categoryFeedPath = realpath(WP_PLUGIN_DIR . '/' . plugin_basename('mergado-marketing-pack/data') . '/' . $currentBlogId . '/category_' . $token . '.xml');

//If file exist for download
$productFeedExist = file_exists(__MERGADO_XML_DIR__ . $currentBlogId . '/' . 'products_' . $token . '.xml');
$stockFeedExist = file_exists(__MERGADO_XML_DIR__ . $currentBlogId . '/' . 'stock_' . $token . '.xml');
$categoryFeedExist = file_exists(__MERGADO_XML_DIR__ . $currentBlogId . '/' . 'category_' . $token . '.xml');

//Icons
$svg_play = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'play.svg');
$svg_copy = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'copy.svg');
$svg_download = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'download.svg');
$svg_delete = file_get_contents(plugins_url('mergado-marketing-pack/admin/img/') . 'bin.svg');

$find_string   = '<svg';
$position_play = strpos($svg_play, $find_string);
$position_copy = strpos($svg_copy, $find_string);
$position_download = strpos($svg_download, $find_string);

$svg_file_play = substr($svg_play, $position_play);
$svg_file_copy = substr($svg_copy, $position_copy);
$svg_file_download = substr($svg_download, $position_download);
$svg_file_delete = substr($svg_delete, $position_download);

$dataProductFeed = XMLProductFeed::getDataForTemplates();
$dataStockFeed = XMLStockFeed::getDataForTemplates();
$dataCategoryFeed = XMLCategoryFeed::getDataForTemplates();
?>


<div class="wrap">

    <?php
    /**
     * Get flash messages
     */
    if (isset($_GET['flash'])) {
        switch ($_GET['flash']) {
            case 'productDeleted':
                ?>
                <div class="updated notice">
                    <p><?php _e('Product feed XML was deleted.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'categoryStartedAgain':
            case 'stockStartedAgain':
            case 'productStartedAgain':
                ?>
                <div class="updated notice">
                    <p><?php _e('You can start generate again.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'categoryDeleted':
                ?>
                <div class="updated notice">
                    <p><?php _e('Category feed XML was deleted.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
            case 'stockDeleted':
                ?>
                <div class="updated notice">
                    <p><?php _e('Stock feed XML was deleted.', 'mergado-marketing-pack'); ?></p>
                </div>
                <?php
                break;
        }
    }
    ?>

    <div class="mergado-updated-notice news">
        <span class="dashicons dashicons-info"></span>
        <span><?php _e('Paste the following XML links into your account at <a href="https://accounts.mergado.com/login/?utm_source=mp&utm_medium=button&utm_campaign=login" title="Mergado account" target="_blank">Mergado account</a>. In the Mergado App you can further modify your feeds and convert them into to hundreds of other formats.', 'mergado-marketing-pack') ?></span>
    </div>
    <div class="card full">
        <h2><?php _e('XML feeds', 'mergado-marketing-pack') ?></h2>
    </div>

    <br/>
    <br/>

    <table class="wp-list-table widefat striped">
        <thead>
            <tr>
                <th>
                    <?php _e('Feed', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Last change', 'mergado-marketing-pack') ?>
                </th>
                <th>
                    <?php _e('Link', 'mergado-marketing-pack') ?>
                </th>
                <th>
                <?php if(isset($totalFiles) && $totalFiles != 0 && $totalFiles != ''): ?>
                    <?php _e('Status of creating', 'mergado-marketing-pack') ?>
                <?php endif ?>
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <th>
                    <?php _e('Product feed', 'mergado-marketing-pack') ?>
                </th>
                <td>
                    <?php
                        if($productFeedExist) {
                            echo date(__('Y-m-d H:i', 'mergado-marketing-pack'), filemtime($productFeedPath));
                        }
                    ?>
                </td>
                <td class="feed-link-col">
                    <?php if($productFeedExist): ?>
                        <a href="<?= $productFeedLink ?>" title="<?php _e('Product feed', 'mergado-marketing-pack') ?>" target="_blank">
                            <?= $productFeedLink ?>
                        </a>
                    <?php else: ?>
                            <?= $productFeedLink ?>
                    <?php endif ?>
                </td>
                <td>
                    <?php if($dataProductFeed['isPartiallyGenerated']): ?>
                    <div class="rangeSlider rangeSlider-1" data-range-index="1" data-percentage="<?= ($dataProductFeed['percentageStep'] > 100) ? 100 : $dataProductFeed['percentageStep'] ?>">
                        <span><?= ($dataProductFeed['percentageStep'] >= 100) ? __("99% - in progress", 'mergado-marketing-pack') : ($dataProductFeed['percentageStep'] . " %") ?></span>
                    </div>
                    <?php endif ?>
                </td>
                <td>
                    <div style="padding-bottom: 5px">
                        <a href="#" data-copy-stash='<?= $productFeedLink ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Copy feed URL', 'mergado-marketing-pack'); ?>">
                            <span class="btn-icon"><?= $svg_file_copy ?></span>
                            <?php _e('Copy feed URL', 'mergado-marketing-pack'); ?></a>
                        <?php if($productFeedExist): ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=productDownload&token=<?= $token ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Download XML', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_download ?></span>
                                <?php _e('Download XML', 'mergado-marketing-pack'); ?></a>
                        <?php endif ?>
                    </div>
                    <div>

                        <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success"
                           data-feed="productCron"
                           data-token="<?= $token ?>"
                            <?= returnCurrentTitle($svg_file_play, $dataProductFeed); ?>
                        </a>

                        <?php if($productFeedExist) { ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=productDelete&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Delete XML feed', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_delete ?></span>
                                <?php _e('Delete XML feed', 'mergado-marketing-pack'); ?></a>
                        <?php } elseif($dataProductFeed['currentStep'] > 0){ ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=productStartAgain&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Start generate feed again', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_delete ?></span>
                                <?php _e('Start again', 'mergado-marketing-pack'); ?></a>
                        <?php } ?>
                    </div>
                </td>
            </tr>

            <tr>
                <th>
                    <?php _e('Heureka Stock feed', 'mergado-marketing-pack') ?>
                </th>
                <td>
                    <?php
                    if($stockFeedExist) {
                        echo date(__('Y-m-d H:i', 'mergado-marketing-pack'), filemtime($stockFeedPath));
                    }
                    ?>
                </td>
                <td class="feed-link-col">
                    <?php if($stockFeedExist): ?>
                        <a href="<?= $stockFeedLink ?>" title="<?php _e('Heureka Stock feed', 'mergado-marketing-pack') ?>" target="_blank">
                            <?= $stockFeedLink ?>
                        </a>
                    <?php else: ?>
                            <?= $stockFeedLink ?>
                    <?php endif ?>
                </td>
                <td>
                    <?php if($dataStockFeed['isPartiallyGenerated']): ?>
                        <div class="rangeSlider rangeSlider-2" data-range-index="2" data-percentage="<?= ($dataStockFeed['percentageStep'] > 100) ? 100 : $dataStockFeed['percentageStep'] ?>">
                            <span><?= ($dataStockFeed['percentageStep'] >= 100) ? __("99% - in progress", 'mergado-marketing-pack') : ($dataStockFeed['percentageStep'] . " %") ?></span>
                        </div>
                    <?php endif ?>
                </td>
                <td>
                    <div style="padding-bottom: 5px">
                    <a href="#" data-copy-stash='<?= $stockFeedLink ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Copy feed URL', 'mergado-marketing-pack'); ?>">
                        <span class="btn-icon"><?= $svg_file_copy ?></span>
                        <?php _e('Copy feed URL', 'mergado-marketing-pack'); ?></a>
                        <?php if($stockFeedExist): ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=stockDownload&token=<?= $token ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Download XML', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_download ?></span>
                                <?php _e('Download XML', 'mergado-marketing-pack'); ?></a>
                        <?php endif ?>
                    </div>
                    <div>
                        <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success"
                           data-feed="stockCron" data-token="<?= $token ?>"
                            <?= returnCurrentTitle($svg_file_play, $dataStockFeed); ?>
                        </a>
                        <?php if($stockFeedExist) { ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=stockDelete&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Delete XML feed', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_delete ?></span>
                                <?php _e('Delete XML feed', 'mergado-marketing-pack'); ?></a>
                        <?php } elseif($dataStockFeed['currentStep'] > 0){ ?>
                            <a href='/wp-admin/admin.php?page=mergado-config&action=stockStartAgain&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Start generate feed again', 'mergado-marketing-pack'); ?>">
                                <span class="btn-icon"><?= $svg_file_delete ?></span>
                                <?php _e('Start again', 'mergado-marketing-pack'); ?></a>
                        <?php } ?>
                    </div>
                </td>
            </tr>

            <tr>
                <th>
                    <?php _e('Category feed', 'mergado-marketing-pack') ?>
                </th>

                <td>
                    <?php
                    if($categoryFeedExist) {
                        echo date(__('Y-m-d H:i', 'mergado-marketing-pack'), filemtime($categoryFeedPath));
                    }
                    ?>
                </td>

                <td class="feed-link-col">
                    <?php if($categoryFeedExist): ?>
                        <a href="<?= $categoryFeedLink?>" title="<?php _e('Category feed', 'mergado-marketing-pack') ?>" target="_blank">
                            <?= $categoryFeedLink ?>
                        </a>
                    <?php else: ?>
                        <?= $categoryFeedLink ?>
                    <?php endif ?>
                </td>
                <td>
                    <?php if($dataCategoryFeed['isPartiallyGenerated']): ?>
                        <div class="rangeSlider rangeSlider-3" data-range-index="3" data-percentage="<?= ($dataCategoryFeed['percentageStep'] > 100) ? 100 : $dataCategoryFeed['percentageStep'] ?>">
                            <span><?= ($dataCategoryFeed['percentageStep'] >= 100) ? __("99% - in progress", 'mergado-marketing-pack') : ($dataCategoryFeed['percentageStep'] . " %") ?></span>
                        </div>
                    <?php endif ?>
                </td>
                <td>
                    <div style="padding-bottom: 5px">
                        <a href="#" data-copy-stash='<?= $categoryFeedLink ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Copy feed URL', 'mergado-marketing-pack'); ?>">
                            <span class="btn-icon"><?= $svg_file_copy ?></span>
                            <?php _e('Copy feed URL', 'mergado-marketing-pack'); ?></a>
                        <?php if($categoryFeedExist): ?>
                        <a href='/wp-admin/admin.php?page=mergado-config&action=categoryDownload&token=<?= $token ?>' class="mmp-btn button button-secondary button-large mmp-btn-hover--info" title="<?php _e('Download XML', 'mergado-marketing-pack'); ?>">
                            <span class="btn-icon"><?= $svg_file_download ?></span>
                            <?php _e('Download XML', 'mergado-marketing-pack'); ?></a>
                        <?php endif ?>
                    </div>
                    <div>
                        <a href="#" class="mmp-btn generateAjax button button-primary button-large mmp-btn-hover--success" data-feed="categoryCron" data-token="<?= $token ?>"
                            <?= returnCurrentTitle($svg_file_play, $dataCategoryFeed); ?></a>
                            <?php if($categoryFeedExist): ?>
                                <a href='/wp-admin/admin.php?page=mergado-config&action=categoryDelete&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Delete XML feed', 'mergado-marketing-pack'); ?>">
                                    <span class="btn-icon"><?= $svg_file_delete ?></span>
                                    <?php _e('Delete XML feed', 'mergado-marketing-pack'); ?></a>
                            <?php elseif($dataCategoryFeed['currentStep'] > 0): ?>
                                <a href='/wp-admin/admin.php?page=mergado-config&action=categoryStartAgain&token=<?= $token ?>' class="mmp-btn button button-danger button-large mmp-btn-hover--danger" title="<?php _e('Start generate feed again', 'mergado-marketing-pack'); ?>">
                                    <span class="btn-icon"><?= $svg_file_delete ?></span>
                                    <?php _e('Start again', 'mergado-marketing-pack'); ?></a>
                            <?php endif ?>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>

    <div class="mergado mergado-info" style="margin-top: 20px;">
        <?php
        try {
            echo file_get_contents('https://platforms.mergado.com/woocommerce/wide');
        } catch (Exception $e) {

        }
        ?>
    </div>
</div>

<?php

function returnCurrentTitle($svg, $data)
{
    if (!in_array($data['totalFiles'], [0, 1]) && ($data['currentStep'] + 1) < $data['totalFiles']):
        $result = __('Build XML part ', 'mergado-marketing-pack') . ' ~(' . ($data['currentStep'] + 1 . '/' . $data['totalFiles']) . ')';
    elseif ($data['totalFiles'] != 0 && $data['currentStep'] >= $data['totalFiles']):
        $result = __('Continue', 'mergado-marketing-pack');
    elseif ($data['totalFiles'] != 0 && ($data['currentStep'] + 1) == $data['totalFiles']):
        $result = __('Merge and create XML', 'mergado-marketing-pack');
    else:
        $result = __('Re-build XML', 'mergado-marketing-pack');
    endif;

    ?>
    title="<?= $result ?>">
    <span class="btn-icon"><?= $svg ?></span>
    <span><?= $result ?></span>
    <?php

    return '';
}