<?php
use Mergado\Tools\NewsClass;
use Mergado\Tools\Settings;

$unreadedTop = NewsClass::getNewsByStatusAndLanguageAndCategory(0, Settings::getLocale(), 'top');
$unreadedNews = NewsClass::getNewsByStatusAndLanguageAndCategory(0, Settings::getLocale(), '', 3, false, 'DESC');

$ratingCookie = get_option(Settings::COOKIE_RATING);
$newsCookie = get_option(Settings::COOKIE_NEWS);
$now = new DateTime();
$now = $now->format(NewsClass::DATE_FORMAT);

$firstRatingTime = get_option(Settings::COOKIE_FIRST_RATING);

//U've been using for some time .. so ... add some time (30 days) after first install/enable
if(!$firstRatingTime) {
    $now = new DateTime();
    update_option(Settings::COOKIE_FIRST_RATING, $now->modify('+30 days')->format(NewsClass::DATE_FORMAT));
}

?>

<div id="mmpheader">
    <div class="mmp-header-top">
        <h1>
            <a href="<?= sprintf( __( 'https://pack.mergado.%s/?utm_source=mp&utm_medium=logo&utm_campaign=mergado_pack', 'mergado-marketing-pack' ), Settings::LANG_TO_DOMAIN[strtolower(Settings::getLang())])?>">
            <img class="header-logo-mmp" src="<?= plugins_url('mergado-marketing-pack/admin/img/') . 'mergado_pack_logo_white.svg' ?>" alt="<?php _e('Mergado Pack', 'mergado-marketing-pack') ?>" />
            </a>
        </h1>
        <ul class="menu">
            <li>
                <a class="" href="<?= sprintf( __( 'https://mergado.%s/?utm_source=mp&utm_medium=logo&utm_campaign=mergado', 'mergado-marketing-pack' ), Settings::LANG_TO_DOMAIN[strtolower(Settings::getLang())])?>" title="<?php _e('Mergado', 'mergado-marketing-pack'); ?>" target="_blank">
                    <img class="header-logo-mergado" src="<?= plugins_url('mergado-marketing-pack/admin/img/') . 'mergado_logo.png' ?>" alt="<?php _e('Mergado Pack', 'mergado-marketing-pack') ?>" />
                </a>
            </li>
            <li><a class="btn btn-header-primary" href="<?= __( 'https://accounts.mergado.com/register/?utm_source=mp&utm_medium=button&utm_campaign=register', 'mergado-marketing-pack' )?>" title="<?php _e('New account', 'mergado-marketing-pack'); ?>" target="_blank"><?php _e('New account', 'mergado-marketing-pack'); ?></a></li>
            <li><a class="btn btn-header-secondary" href="<?= __( 'https://accounts.mergado.com/login/?utm_source=mp&utm_medium=button&utm_campaign=login', 'mergado-marketing-pack' )?>" title="<?php _e('Sign In', 'mergado-marketing-pack'); ?>" target="_blank"><?php _e('Sign In', 'mergado-marketing-pack'); ?></a></li>
        </ul>
    </div>
    <?php if (!isset($showAbout) || $showAbout === false): ?>
    <div class="mmp-header-bot">
        <h2><?= __('Connect your ecommerce to the online marketing world.', 'mergado-marketing-pack') ?></h2>
        <ul class="mmp-nav-links">
            <?php
                $menuItems = [
                    'settings' => ['text' => 'Settings'],
                    'cron' => ['text' => 'Cron tasks'],
                    'feed' => ['text' => 'XML feeds'],
                    'adsys' => ['text' => 'Ad Systems'],
                    'support' => ['text' => 'Support'],
                    'news' => ['text' => 'News'],
                    'licence' => ['text' => 'Licence'],
                ];

                foreach($menuItems as $key => $item):
                    if(('mergado-' . $key) == $_GET['page']): ?>
                        <li><a href="/wp-admin/admin.php?page=mergado-<?= $key ?>" class="active"><?= __( $item["text"], 'mergado-marketing-pack') ?></a></li>
                    <?php else: ?>
                        <li><a href="/wp-admin/admin.php?page=mergado-<?= $key ?>"><?= __( $item['text'], 'mergado-marketing-pack') ?></a></li>
                    <?php
                    endif;
                endforeach
            ?>
        </ul>
    </div>
    <?php endif ?>
</div>

<?php if (!isset($showAbout) || $showAbout === false): ?>
    <?php if($ratingCookie <= $now && $firstRatingTime <= $now && $firstRatingTime !== false): ?>
    <div class="wrap">
        <div class="mergado-updated-notice news">
            <span class="dashicons dashicons-info"></span>
            <span>
                <p><?php _e('We have noticed that you have been using Mergado Pack for some time. We hope you love it, and we would really appreciate it if you would <a href="https://wordpress.org/support/plugin/mergado-marketing-pack/reviews/#new-post">give us a 5 stars rating ★ ★ ★ ★ ★.</a>', 'mergado-marketing-pack'); ?></p>
                <a href="#" class="button button-secondary mmp-close-cross"><?php _e('Dismiss', 'mergado-marketing-pack'); ?></a>
            </span>
            <span data-cookie="mmp-cookie-rating" data-token="<?= $token ?>" class="mmp-cross mmp-close-cross">🞩</span>
        </div>
    </div>
    <?php endif ?>
<?php endif ?>

<?php if (!isset($showAbout)): ?>
    <?php if(isset(get_site_transient( 'update_plugins' )->response['mergado-marketing-pack/mergado-marketing-pack.php'])): ?>
        <div class="wrap">
            <div class="mergado-updated-notice update">
                <p>
                    <span class="dashicons dashicons-info"></span>
                    <span><?php _e('New update available', 'mergado-marketing-pack')?> -&nbsp </span><a href="/wp-admin/plugins.php"><?php _e('Update to version ', 'mergado-marketing-pack') ?> <?= get_site_transient( 'update_plugins' )->response['mergado-marketing-pack/mergado-marketing-pack.php']->new_version ?></a>
                </p>
            </div>
        </div>
    <?php endif ?>

    <?php if($unreadedTop && $unreadedTop != []): ?>
        <?php foreach($unreadedTop as $item): ?>
            <div class="wrap">
                <div class="mergado-updated-notice update">
                    <p>
                        <span class="dashicons dashicons-info"></span>
                        <a href="/wp-admin/admin.php?page=mergado-news" class="mergado-link"><span><?= $item->title ?></span></a>
                    </p>
                    <span data-todo="mmp-set-readed" data-id="<?= $item->id ?>" data-token="<?= $token ?>" class="mmp-cross mmp-readed-cross">🞩</span>
                </div>
            </div>
        <?php endforeach ?>
    <?php endif ?>

    <?php if($newsCookie <= $now): ?>
        <?php if($unreadedNews && $unreadedNews != []): ?>
            <div class="wrap">
                <div class="mergado-updated-notice news">

                    <div class="mmp-news__holder">
                        <?php foreach($unreadedNews as $item): ?>
                            <a href="/wp-admin/admin.php?page=mergado-news" class="mergado-link mmp-news__item">
                                <p class="mmp-news__title"><?= $item->title ?></p>
                                <p><span class="mmp-badge mmp-badge--<?= $item->category ?>"><?= $item->category ?></span> <span class="mmp-news__date"><?= NewsClass::getFormattedDate($item->pubDate) ?></span></p>
                            </a>
                        <?php endforeach ?>
                    </div>

                    <span data-cookie="mmp-cookie-news" data-token="<?= $token ?>" class="mmp-cross mmp-close-cross">🞩</span>
                </div>
            </div>
        <?php endif ?>
    <?php endif ?>
<?php endif ?>

<?php if (isset($showAbout) && $showAbout === true): ?>
    <div id="mmpabout">
        <img src="<?= plugins_url('mergado-marketing-pack/admin/img/') . 'info.svg' ?>" alt="" />

        <h3><?php _e('CONNECT YOUR ONLINE STORE TO THE E-COMMERCE WORLD', 'mergado-marketing-pack'); ?></h3>

        <p>
            <?php _e('Connect your online store to the biggest marketing channels.', 'mergado-marketing-pack'); ?>
            <?php _e('Export your feeds and turn them into hundreds of formats with Mergado App.', 'mergado-marketing-pack'); ?>
        </p>

        <p>
            <a href='/wp-admin/admin.php?page=mergado-settings' class="button button-large" title="<?php _e('Settings', 'mergado-marketing-pack'); ?>"><?php _e('Settings', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-cron' class="button button-large" title="<?php _e('Cron tasks', 'mergado-marketing-pack'); ?>"><?php _e('Cron tasks', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-feed' class="button button-large" title="<?php _e('XML feeds', 'mergado-marketing-pack'); ?>"><?php _e('XML feeds', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-adsys' class="button button-large" title="<?php _e('Ad Systems', 'mergado-marketing-pack'); ?>"><?php _e('Ad Systems', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-support' class="button button-large" title="<?php _e('Support', 'mergado-marketing-pack'); ?>"><?php _e('Support', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-news' class="button button-large" title="<?php _e('News', 'mergado-marketing-pack'); ?>"><?php _e('News', 'mergado-marketing-pack'); ?></a>
            <a href='/wp-admin/admin.php?page=mergado-licence' class="button button-large" title="<?php _e('Licence', 'mergado-marketing-pack'); ?>"><?php _e('Licence', 'mergado-marketing-pack'); ?></a>
        </p>
    </div>



<?php endif; ?>

<?php if(count(NewsClass::getNewsByStatusAndLanguageAndCategory(0, Settings::getLocale())) > 0) {?>
        <div class="mergado_new_news hidden" data-news="<?php _e('NEWS', 'mergado-marketing-pack') ?>"></div>
<?php } ?>


<!-- MMP POPUP -->

<div class="mmp-popup" data-500="<?= __('Error occurred during generating feed. Please contact our support.', 'mergado-marketing-pack') ?>">
    <div class="mmp-popup__background">
        <div class="mmp-popup__box">
            <div class="mmp-popup__box_top">
                <h3 class="mmp-popup__title"><?= __('Feed generation', 'mergado-marketing-pack') ?></h3>
            </div>
            <div class="mmp-popup__box_body">
                <div class="mmp-popup__content">
                    <div class="mmp-popup__loader">
                        <div class="sk-chase">
                            <div class="sk-chase-dot"></div>
                            <div class="sk-chase-dot"></div>
                            <div class="sk-chase-dot"></div>
                            <div class="sk-chase-dot"></div>
                            <div class="sk-chase-dot"></div>
                            <div class="sk-chase-dot"></div>
                        </div>
                        <div><?= __('Generating feed. Please wait...', 'mergado-marketing-pack') ?></div>
                    </div>
                    <p class="mmp-popup__output"></p>
                </div>
            </div>
            <div class="mmp-popup__box_foot">
                <a href="#" class="mmp-popup__button button button-primary button-large"><?= __('Close') ?></a>
            </div>
        </div>
    </div>
</div>
